// @ts-ignore
import { LOGIN_CONFIG } from "@/devLoginParams";
import { getBase64 } from "./utils/crypto";
import { httpApp } from "@/plugins/axiosApp";
import vls from "./utils/storage";

const { loginName, password, examId, paperNumber, groupNumber, schoolCode } =
  LOGIN_CONFIG;

export async function initLogin() {
  const res = await httpApp.post("/api/admin/common/login", {
    loginName,
    password: getBase64(password),
    schoolCode,
    type: "ACCOUNT",
  });
  const data = res.data;

  if (data.orgInfo) vls.set("orgId", data.orgInfo.id);
  if (data.schoolInfo && data.schoolInfo.length) {
    const curSchool = data.schoolInfo.find((item) => item.code === schoolCode);
    if (curSchool) {
      vls.set("schoolId", curSchool.id);
      vls.set("schoolName", curSchool.name);
    }
  }
  vls.set("user", data);
  vls.set("mark", { examId, paperNumber, groupNumber });
  vls.set("token", data.accessToken);
}
